:root {
    --bright-yellow: hsl(71, 73%, 54%);
    background-color: hsl(204, 43%, 93%);
}

body {
    font-family: 'Karla', sans-serif;
    font-size: 16px;
    max-width: 700px;
    margin: auto;
    margin-top: 100px;
    margin-bottom: 100px;
    border-radius: 2%;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.150);
    background-color: white;
}

@media (max-width: 700px) {
    body {
    margin: 75px 25px 75px 25px;
    }
}

/*Grid Area Settings*/
#main {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 50% 50%;
    grid-template-areas: 
    "main main"
    "g1 g2";
}

@media (max-width: 700px) {
    #main {
        display: grid;
        grid-template-columns: 100%;
        grid-template-rows: repeat(3, 0.5fr);
        grid-template-areas: 
        "main"
        "g1"
        "g2";
    }
}
/*Grid1 Settings*/
#grid1 {
    grid-area: main;
    padding: 35px;
    
}

@media (max-width: 700px) {
    #grid1 {
        padding: 10px 25px 20px 25px;
    }
}
/*Grid2 Settings*/
#grid2 {
    background-color: hsl(179, 62%, 43%);
    color: hsl(204, 43%, 93%);
    grid-area: g1;
    padding: 35px;
    border-bottom-left-radius: 3%;
}

@media (max-width: 700px) {
    #grid2 {
        border-bottom-left-radius: 0%;
        padding: 10px 25px 25px 25px;
    }
    #access {
        font-size: 16;
    }   
}

#flex {
    display: flex;
    align-items: center;
    height: 30px;
}
/*Grid3 Settings*/
#grid3 {
    background-color: hsl(179, 47%, 52%);
    color: white;
    grid-area: g2;
    padding: 35px;
    border-bottom-right-radius: 3%;
}

@media (max-width: 700px) {
    #grid3 {
        border-bottom-left-radius: 3%;
        padding: 10px 25px 20px 25px;
    }
}

#grid3 ul {
    list-style: none;
    padding-left: 0;
    color: hsl(182, 70%, 84%);
    line-height: 1.5;
}

/*Main Content Grid1*/
h1 {
    color: hsl(179, 62%, 43%);
    font-weight: 700;
}

@media (max-width: 700px) {
    h1 {
        font-size: 18px;
    }
}

h2 {
    color: var(--bright-yellow); 
}

@media (max-width: 700px) {
    h2 {
        font-size: 16px;
    }
}

.intro {
    color: hsl(218, 22%, 67%);
    font-size: 18px;
    line-height: 1.7;
}

@media (max-width: 700px) {
    .intro {
        font-size: 14px;
        line-height: 1.7;
    }
}
/*Content Grid 2*/
#price {
    font-weight: 700;
    font-size: 30px;
}

#month {
    color: hsl(179, 60%, 55%);
    margin-left: 10px;
}

#button {
    background-color: var(--bright-yellow);
    color: white;
    font-weight: 700;
    font-size: 16px;
    width: 100%;
    height: 60px;
    border-radius: 5px;
    margin-top: 10px;
    border-style: none;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.150);
}

@media (max-width: 700px) {
    #button {
        height: 45px;
    }
}
#button:hover {
    cursor: pointer;
    border-color: rgba(255, 255, 255, 0.750);
    border-style: solid;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.550);
}